import React from 'react';
import style from './style.scss'
import tost,{errorTost} from "kara-module-tost";
import moment from "moment";
export default class ShowViewN extends React.Component{
    state={
        count:0
    }
    componentDidMount(){
        const {ConfigStore,list,year} =this.props
        this.props.card&&Array.isArray(this.props.card)&&this.props.card[0].categoryName=='学习勋章'?
        // 学习勋章人数
        ConfigStore.config.httpAgent.post('/medal/won/account/study/count',{
          medalId: list.medalId,
          year: year?year:null
      }).then(
          res => {
              if(res && res.resultCode && res.resultCode === '000000') {
                  this.setState({count:res.count})
              }
              else {
                  tost({type:'error',msg:'获取信息失败',time:4})
              }
          }
      ):
        ConfigStore.config.httpAgent.get(`/medal/won/account/count/${list.medalId}`).then(
            res => {
                if(res && res.resultCode && res.resultCode === '000000') {
                    this.setState({count:res.count})
                }
                else {
                    tost({type:'error',msg:'获取信息失败',time:4})
                }

            }
        )
    }
    render(){
        const {list,callback} = this.props
        return(
            <div className={style["app"]}>
                <div className={style["view-back"]} onClick={()=>callback(false)}></div>
                <div className={style["view-content"]}>
                    <div className={style["view-btns"]}></div>
                    <div className={style["view-icon"]}>
                        <img src={list.medalIcon} alt={"img"}/>
                    </div>
                    <div className={style["view-text"]}>
                        <div className={style['view-tiems']}>未获得</div>
                        <div className={style["view-medal"]}>{list.medalName}</div>
                        <div className={style["view-context"]}>{list.medalDesc}</div>
                        <div className={style["view-num"]}>已有<em>{this.state.count}</em>人获得</div>
                    </div>
                </div>
            </div>
        )
    }
}